## LassoDstQuery LassoDstQuery — <dst:Query> |

## Functions

LassoDstQuery * | lasso_dst_query_new ()

## Types and Values

struct | LassoDstQuery

## Description

Figure 124. Schema fragment for dst:Query

    <xs:element name="Query" type="QueryType"/>
    <xs:complexType name="QueryType">
        <xs:sequence>
            <xs:group ref="ResourceIDGroup" minOccurs="0"/>
       <xs:element name="QueryItem" maxOccurs="unbounded"/>
       <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID"/>
        <xs:attribute name="itemID" type="IDType"/>
    </xs:complexType>

    <xs:simpleType name="IDReferenceType">
      <xs:annotation>
        <xs:documentation> This type can be used when referring to elements that are
          identified using an IDType </xs:documentation>
        </xs:annotation>
      <xs:restriction base="xs:string"/>
    </xs:simpleType>

## Functions

### lasso_dst_query_new ()

    LassoDstQuery *
    lasso_dst_query_new (LassoDstQueryItem *query_item);

Creates a new LassoDstQuery object. If `query_item` is set it is added to the requested query items.

#### Parameters

query_item | query item to embed in request (optional) |

#### Returns

a newly created LassoDstQuery object.

## Types and Values

### struct LassoDstQuery

    struct LassoDstQuery {
    	LassoNode parent;

    	LassoDiscoResourceID *ResourceID;
    	LassoDiscoEncryptedResourceID *EncryptedResourceID;
    	GList *QueryItem; /* of LassoNode */
    	GList *Extension; /* of xmlNode* */

    	char *id;
    	char *itemID;
    };